import _Input from "@alifd/next/es/input";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import * as React from 'react';
import "./index.scss";
var Roate = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Roate, _React$PureComponent);
  function Roate() {
    return _React$PureComponent.apply(this, arguments) || this;
  }
  var _proto = Roate.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      placeholder = _this$props.placeholder,
      value = _this$props.value,
      onChanges = _this$props.onChanges;
    return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(_Input, {
      value: value,
      size: "medium",
      placeholder: placeholder || '0°',
      onChange: function onChange(val) {
        return onChanges(val);
      },
      "aria-label": "Large"
    }));
  };
  return Roate;
}(React.PureComponent);
Roate.displayName = 'RoateSetter';
export { Roate as default };